Subject: Re: bug#24624: 24.4; Faulty info link -> definition of nth

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Oct 2016 21:26:39 +0300

> Date: Thu, 06 Oct 2016 18:27:29 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > You are still using an old makeinfo, do you?  From Texinfo 4.13,
>  > perhaps?
> 
> I am using Texinfo 4.13.
> 
>  > If so, you need to run your Info files through 'flip' or
>  > some other command that removes the CR characters from CR-LF pairs at
>  > EOL.  Or start using the (slower) makeinfo from Texinfo 6.x, which
>  > produces Unix-style Info files by default, even on Windows.
> 
> Making info here is already so slow that neither of these is an option
> for me.

Then you'll have to remove the CRs manually after producing the files.

However, in the long run, you'll have to switch at some point, because
Texinfo gets more and more new features that eventually will start
failing a build with 4.13.

> In the good old days it was a pure pleasure to work with
> makeinfo - maybe due to the fact that the Elisp manual was split in
> those days or, because on Windows a much simpler build script was used.
> After a text change, I could produce the corresponding updated and
> reverted *info* buffer practically on-the-fly.  Nowadays it takes me
> half a minute to do so.  For me it's the worst pain that happened in the
> recent development of Emacs.

It's not up to Emacs, it's up to Texinfo developers.  We here had no
say in this matter.  Once Texinfo switched to makeinfo the Perl
script, it got much slower.  (If you build Texinfo locally, you can
build it with Perl extensions in C, which makes it about 40% faster,
but that's still 10 times slower than the C version.)

>  > Yes, we changed the code in Emacs's Info reader to be compatible with
>  > how the new Texinfo calculates positions in tag tables.  There was no
>  > other reasonable solution.
> 
> It would have been good to read something about this in NEWS or
> somewhere else.

You mean, in Texinfo NEWS?